# JacocoPluginExtension

API Documentation: | `JacocoPluginExtension`

Note: This class is incubating and may change in a future version of Gradle.

Extension including common properties and methods for Jacoco.

### Properties

Property | Description
`reportsDir` | Incubating The directory where reports will be generated.
`toolVersion` | Incubating Version of Jacoco JARs to use.

### Property details

#### `File` `reportsDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory where reports will be generated.

Default:
  ``${project.reporting.baseDir}`/jacoco`

#### `String` `toolVersion`

Note: This property is incubating and may change in a future version of Gradle.

Version of Jacoco JARs to use.

Default:
  `0.6.2.201302030002`

### Script blocks

No script blocks

### Methods

Method | Description
`applyTo(tasks)` | Incubating Applies Jacoco to all of the given tasks.
`applyTo(task)` | Incubating Creates a Jacoco plugin extension.

### Method details

#### `void` `applyTo`(`TaskCollection` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Applies Jacoco to all of the given tasks.

#### `void` `applyTo`(`JavaForkOptions` task)

Note: This method is incubating and may change in a future version of Gradle.

Creates a Jacoco plugin extension.